Public Member Functions | Public Attributes | List of all members
libpagemaker::CorruptRecordException Struct Reference

`#include <PMDExceptions.h>`

Inheritance diagram for libpagemaker::CorruptRecordException:

## Public Member Functions
| CorruptRecordException (uint16_t recordType, const std::string &message)
Public Member Functions inherited from libpagemaker::PMDParseException
| PMDParseException (const std::string &message)
virtual | ~PMDParseException ()

## Public Attributes
uint16_t | m_recordType
Public Attributes inherited from libpagemaker::PMDParseException
std::string | m_message

## Constructor & Destructor Documentation

## ◆ CorruptRecordException()

libpagemaker::CorruptRecordException::CorruptRecordException | ( | uint16_t | recordType,
|  | const std::string & | message )
| inline

## Member Data Documentation

## ◆ m_recordType

uint16_t libpagemaker::CorruptRecordException::m_recordType

The documentation for this struct was generated from the following file:

- PMDExceptions.h